Bug 855291 - [abrt] policycoreutils-gui-2.1.11-18.fc17: statusPage.py:166:read_selinux_config:OSError: [Errno 11] Resource temporarily unavailable
[abrt] policycoreutils-gui-2.1.11-18.fc17: statusPage.py:166:read_selinux_con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:12910cc345fefbe47eaa1c73de9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 05:08 EDT by Matthieu Pupat
Modified: 2012-12-20 11:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (449 bytes, text/plain)
2012-09-07 05:08 EDT, Matthieu Pupat
no flags Details

  None (edit)
Description Matthieu Pupat 2012-09-07 05:08:26 EDT
Description of problem:
Started system-config-selinux

Version-Release number of selected component:
policycoreutils-gui-2.1.11-18.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python -Es /usr/share/system-config-selinux/system-config-selinux.py
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:statusPage.py:166:read_selinux_config:OSError: [Errno 11] Resource temporarily unavailable
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-selinux/system-config-selinux.py", line 186, in <module>
:    app = childWindow()
:  File "/usr/share/system-config-selinux/system-config-selinux.py", line 82, in __init__
:    self.add_page(statusPage.statusPage(xml))
:  File "/usr/share/system-config-selinux/statusPage.py", line 79, in __init__
:    if self.read_selinux_config() == None:
:  File "/usr/share/system-config-selinux/statusPage.py", line 166, in read_selinux_config
:    self.initEnabled = selinux.selinux_getenforcemode()[1]
:OSError: [Errno 11] Resource temporarily unavailable
:
:Local variables in innermost frame:
:self: <statusPage.statusPage instance at 0xa584998>
Comment 1 Matthieu Pupat 2012-09-07 05:08:29 EDT
Created attachment 610668 [details]
File: core_backtrace
Comment 2 Daniel Walsh 2012-09-07 07:36:44 EDT
Were you running this on a machine with SELinux disabled?
Comment 3 Matthieu Pupat 2012-09-07 09:59:38 EDT
Yes.
Comment 4 Daniel Walsh 2012-09-19 21:32:51 EDT
What were you trying to do?
Comment 5 Matthieu Pupat 2012-09-20 02:02:07 EDT
Enable selinux using the GUI.
Comment 6 Daniel Walsh 2012-10-09 13:21:50 EDT
Works fine in Fedora 18.
Comment 7 Daniel Walsh 2012-10-16 15:20:42 EDT
Fixed in policycoreutils-2.1.12-4.fc17
Comment 8 Fedora Update System 2012-10-24 09:04:47 EDT
policycoreutils-2.1.12-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.12-4.fc17
Comment 9 Fedora Update System 2012-10-24 19:56:43 EDT
Package policycoreutils-2.1.12-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.12-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16848/policycoreutils-2.1.12-4.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-10-31 21:25:30 EDT
Package policycoreutils-2.1.12-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.12-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16848/policycoreutils-2.1.12-5.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-12-20 11:02:55 EST
policycoreutils-2.1.12-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.